Panda3D

Public Member Functions | Static Public Member Functions | Friends | List of all members
GraphicsDevice Class Reference

An abstract device object that is part of Graphics Pipe. More...

`#include "graphicsDevice.h"`

Inheritance diagram for GraphicsDevice:

## Public Member Functions
| GraphicsDevice (const GraphicsDevice &copy)=delete
| GraphicsDevice (GraphicsPipe *pipe)
| Normally, the GraphicsDevice constructor holds a reference to the Graphics Pipe that it is part of. More...
virtual TypeHandle | force_init_type ()
GraphicsPipe * | get_pipe () const
| Returns the GraphicsPipe that this device is associated with. More...
virtual TypeHandle | get_type () const
GraphicsDevice & | operator= (const GraphicsDevice &copy)=delete
Public Member Functions inherited from TypedReferenceCount
| TypedReferenceCount (const TypedReferenceCount &copy)
void | operator= (const TypedReferenceCount &copy)
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type. More...
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly. More...
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type. More...
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object. More...
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise. More...
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack. More...
void | ref () const
| Explicitly increments the reference count. More...
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero. More...
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus. More...
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus. More...
virtual bool | unref () const
| Explicitly decrements the reference count. More...
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one. More...
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object. More...
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object. More...

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96. More...
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Friends
class | GraphicsEngine
class | GraphicsPipe

## Additional Inherited Members
Public Attributes inherited from TypedObject
| get_type
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count. More...

## Detailed Description

An abstract device object that is part of Graphics Pipe.

This device is set to NULL for OpenGL. But DirectX uses it to take control of multiple windows under single device or multiple devices (i.e. more than one adapters in the machine).

Definition at line 30 of file graphicsDevice.h.

## Constructor & Destructor Documentation

## ◆ GraphicsDevice()

GraphicsDevice::GraphicsDevice | ( | GraphicsPipe * | pipe | ) |

Normally, the GraphicsDevice constructor holds a reference to the Graphics Pipe that it is part of.

Definition at line 24 of file graphicsDevice.cxx.

References MemoryUsage::update_type().

## Member Function Documentation

## ◆ get_pipe()

GraphicsPipe * GraphicsDevice::get_pipe | ( |  | ) | const
| inline

Returns the GraphicsPipe that this device is associated with.

Definition at line 17 of file graphicsDevice.I.

The documentation for this class was generated from the following files:

- panda/src/display/graphicsDevice.h
- panda/src/display/graphicsDevice.cxx
- panda/src/display/graphicsDevice.I